Subject: Re: [netmod] iana iftype in yang

From: Ladislav Lhotka <[email-masked]>
Date: Fri, 1 Apr 2011 11:19:14 +0200

Hi,

shall we do the same with the address family registry? As a matter of fact, I am not sure whether it makes sense to bother with things like AppleTalk or IPX, and for IPv4 and IPv6 alone this seems like an overkill.

Lada

On Mar 31, 2011, at 3:32 PM, Juergen Schoenwaelder wrote:

> Hi,
> 
> during the WG session, there was a motion to use the existing ifType
> enumerations in YANG instead of identities. We have meanwhile spoken
> to IANA to better understand how the procedures work and how a YANG
> version of the IANA ifType can be created and maintained. We also
> consulted with Dan Romascanu, who is the current expert for ifType
> assignments and as a matter of convenience also our AD. ;-)
> 
> Here is the current understanding and the proposed line of action.
> The IANA ifType registry got established in RFC 1573. The registry
> itself is maintained in http://www.iana.org/assignments/smi-numbers.
> In addition, IANA updates http://www.iana.org/assignments/ianaiftype-mib
> whenever assignments are made (in a manual process). What we are going
> to ask them to do is to maintain in addition a YANG module as another
> "view" on the registry. IANA told us this is not a big deal.
> 
> To get this established, though, we need to have a document that
> specifies that this needs to be maintained and this document needs to
> include an initial version of the iftype YANG module. Since this is
> rather long, we prefer to create a separate Internet-Draft that
> establishes the YANG version of the ifType registry by specifying the
> necessary IANA rules and providing the initial version.
> 
> If there are any concerns about this way forward, please let us know
> within the next week.
> 
> /js
> 
> -- 
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

--
Ladislav Lhotka, CESNET
PGP Key ID: E74E8C0C

---

From: Martin Bjorklund <[email-masked]>
Date: Fri, 01 Apr 2011 14:17:07 +0200 (CEST)

Hi,

Ladislav Lhotka <[email-masked]> wrote:
> shall we do the same with the address family registry?

The general idea is to do this on a case by case basis.

In the specific case of address families, I prefer an approach where
the routing module concentrates on ip routing.  If we do that, this
registry is not needed at this time.

So the question is how you should handle ipv4 vs. ipv6.  If you need
one leaf to represent this, you can use inet:ip-version.  In some
cases maybe you will have two containers:

  container ipv4 { ... }
  container ipv6 { ... }

and in some cases these containers within a choice.

/martin